Transparency Example

Using Programming Languages other than VBA

Sub Example_Transparency()
	' This example inserts a raster image and finds the current status
	' of Transparency for the image. It then changes the Transparency
	' status of the image.

	' This example uses the "downtown.jpg" found in the sample
	' directory. If you do not have the image, or it is located
	' in a different directory, insert a valid path and name for the
	' imageName variable below.
	Dim insertionPoint(0 To 2) As Double
	Dim scalefactor As Double
	Dim rotAngleInDegree As Double, rotAngle As Double
	Dim imageName As String
	Dim raster As AcadRasterImage
	imageName = "C:\AutoCAD\sample\downtown.jpg"
	insertionPoint(0) = 2#: insertionPoint(1) = 2#: insertionPoint(2) = 0#
	scalefactor = 1#
	rotAngleInDegree = 0#
	rotAngle = rotAngleInDegree * 3.141592 / 180#

	On Error Resume Next

	' Creates a raster image in model space
	Set raster = ThisDrawing.ModelSpace.AddRaster(imageName, insertionPoint, scalefactor, rotAngle)
	If Err.Description = "Filer error" Then
		MsgBox imageName & " could not be found."
		Exit Sub
	End If

	' Find the current Transparency
	ThisDrawing.Regen True
	MsgBox "The Transparency is currently set to: " & raster.Transparency, vbInformation

	' Change the Transparency
	If (raster.Transparency) Then
		raster.Transparency = False
	Else
		raster.Transparency = True
	End If
	ThisDrawing.Regen True
	MsgBox "The Transparency is now set to: " & raster.Transparency, vbInformation
End Sub

 

   Comments?